{% load static %}
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Tienda SENA - {% block titulo %}...{% endblock %}</title>
    <link rel="stylesheet" href="{% static 'tienda/css/estilos.css' %}" />
    <link rel="stylesheet" href="{% static 'tienda/css/bootstrap.min.css' %}" />
</head>
<body>
    <nav class="navbar navbar-expand-lg bg-body-tertiary">
        <div class="container-fluid">
            <a class="navbar-brand" href="{% url 'inicio' %}">Tienda SENA</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
                    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    {% if request.session.logueo.rol == 1 %}
                    <li class="nav-item">
                        <a class="nav-link active" aria-disabled="true" aria-current="page" href="{% url 'categorias_listar' %}">Categorías</a>
                    </li>
                    {% endif %}
                    <li class="nav-item">
                        <a class="nav-link {% if request.session.logueo.rol != 1 %}disabled{% endif %}" aria-current="page" href="{% url 'categorias_listar' %}">Categorías (Copia)</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'productos_listar' %}">Productos</a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown"
                           aria-expanded="false">
                            Rutas de Prueba
                        </a>
                        <ul class="dropdown-menu">
                            <li><a class="dropdown-item" href="#">Saludar</a></li>
                            <li><a class="dropdown-item" href="#">Saludar con parámetros</a></li>
                            <li>
                                <hr class="dropdown-divider">
                            </li>
                            <li><a class="dropdown-item" href="#">Calculadora por url</a></li>
                            <li><a class="dropdown-item" href="#">Calculadora por formulario</a></li>
                        </ul>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link disabled" aria-disabled="true">Disabled</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active" aria-disabled="true" aria-current="page" href="{% url 'quejas' %}">Quejas Despachos</a>
                    </li>
                </ul>
                <ul class="d-flex navbar-nav" style="margin-right:0.4rem;">
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown"
                           aria-expanded="false">
                            Bienvenido <strong>{{ request.session.logueo.nombre }}</strong> ({{ request.session.logueo.nombre_rol }})
                        </a>
                        <ul class="dropdown-menu dropdown-menu-end">
                            <li><a class="dropdown-item" href="{% url 'ver_perfil' %}">Perfil</a></li>
                            <li><a class="dropdown-item" href="{% url 'cc_formulario' %}">Cambiar Contraseña</a></li>
                            <li>
                                <hr class="dropdown-divider">
                            </li>
                            <li><a class="dropdown-item" href="{% url 'logout' %}">Cerrar Sesión</a></li>
                        </ul>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link position-relative" href="javascript:ver_carrito(`{% url 'carrito_ver' %}`);">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                                 class="bi bi-cart-check" viewBox="0 0 16 16">
                                <path d="M11.354 6.354a.5.5 0 0 0-.708-.708L8 8.293 6.854 7.146a.5.5 0 1 0-.708.708l1.5 1.5a.5.5 0 0 0 .708 0z"/>
                                <path d="M.5 1a.5.5 0 0 0 0 1h1.11l.401 1.607 1.498 7.985A.5.5 0 0 0 4 12h1a2 2 0 1 0 0 4 2 2 0 0 0 0-4h7a2 2 0 1 0 0 4 2 2 0 0 0 0-4h1a.5.5 0 0 0 .491-.408l1.5-8A.5.5 0 0 0 14.5 3H2.89l-.405-1.621A.5.5 0 0 0 2 1zm3.915 10L3.102 4h10.796l-1.313 7zM6 14a1 1 0 1 1-2 0 1 1 0 0 1 2 0m7 0a1 1 0 1 1-2 0 1 1 0 0 1 2 0"/>
                            </svg>
                            <span class="position-absolute top-20 start-100 translate-middle badge rounded-pill bg-danger" id="items_carrito">
                            {{ request.session.items|default:"0" }}
                            </span>
                        </a>
                    </li>

                </ul>
            </div>
        </div>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert alert-{% if message.tags and message.tags != 'error' %}{{ message.tags }}{% else %}danger{% endif %} alert-dismissible fade show" role="alert">
                {{ message }}
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
        {% endfor %}
    {% endif %}

    {% block contenedor %}
        ...
    {% endblock %}

    <div class="offcanvas offcanvas-end" tabindex="-1" id="offcanvasRight" aria-labelledby="offcanvasRightLabel">
        <div class="offcanvas-header">
            <h5 class="offcanvas-title" id="offcanvasRightLabel">
                <div class="spinner-border text-primary d-block" role="status" id="loader">
                    <span class="visually-hidden">Loading...</span>
                </div>
            </h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas" aria-label="Close"></button>
        </div>
        <div class="offcanvas-body" id="respuesta_carrito">
        </div>
    </div>

    <script src="{% static 'tienda/js/jquery-3.7.1.min.js' %}"></script>
    <script src="{% static 'tienda/js/bootstrap.bundle.min.js' %}"></script>
    <script src="{% static 'tienda/js/libreria.js' %}"></script>
</body>
</html>